gic_feature(3)

NAME
gic_feature : Bind Actions with Recognizers

SYNOPSIS
#include <ggi/gic_structs.h>
typedef struct gic_feature {
      char name[65];                  /* name of the feature */
      char shortname[5];              /* name of the feature */
      gic_recognizer *recognizers;    /* list of attached recognizers */
      gic_actionlist *actions;        /* list of attached actions */
} gic_feature;
typedef struct gic_featurelist {
      struct gic_featurelist *next;
      gic_feature *feature;
} gic_featurelist;

DESCRIPTION
Features are individual "moves" that control something. They can have multiple actions and recognizers attached.

name
    Name of the feature

shortname
    Short name of the feature

recognizers
    List of attached recognizers

actions
    List of attached actions

SEE ALSO
gicFeatureRead(3), gicFeatureWrite(3)